Commit 8904e823 authored by Ralf Jung's avatar Ralf Jung
Browse files

bump Iris; test against Coq 8.9.0

parent 0fab6206
Pipeline #15081 passed with stage
in 32 minutes and 47 seconds
......@@ -26,6 +26,11 @@ variables:
## Build jobs
build-coq.8.9.0:
<<: *template
variables:
OPAM_PINS: "coq version 8.9.0"
build-coq.8.8.0:
<<: *template
variables:
......@@ -38,7 +43,7 @@ build-coq.8.8.0:
build-iris.dev:
<<: *template
variables:
OPAM_PINS: "coq version 8.8.0 coq-stdpp.dev git git+https://gitlab.mpi-sws.org/iris/stdpp.git#$STDPP_REV coq-iris.dev git git+https://gitlab.mpi-sws.org/iris/iris.git#$IRIS_REV"
OPAM_PINS: "coq version 8.9.0 coq-stdpp.dev git git+https://gitlab.mpi-sws.org/iris/stdpp.git#$STDPP_REV coq-iris.dev git git+https://gitlab.mpi-sws.org/iris/iris.git#$IRIS_REV"
except:
only:
- triggers
......
......@@ -15,7 +15,7 @@ support general BI logics.
This version is known to compile with:
- Coq 8.8.0
- Coq 8.8.0 / 8.9.0
- A development version of Iris
The easiest way to install the correct versions of the dependencies is through
......
......@@ -6,5 +6,5 @@ install: [make "install"]
remove: ["rm" "-rf" "'%{lib}%/coq/user-contrib/fri"]
depends: [
"coq" { (>= "8.7.2") | (= "dev") }
"coq-iris" { (= "dev.2019-02-20.0.8a8c1405") | (= "dev") }
"coq-iris" { (= "dev.2019-02-22.1.9c04e2b4") | (= "dev") }
]
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment